# NOTE: This package is fully arched due to dependency sensitivity.
# Please do not remove archfulness on Requires/Provides.

%define debug_package %{nil}

Name:           mkefiboot
Version:        31.8.0.1
Release:        %mkrel 9
Summary:        Standalone mkefiboot implementation for when Lorax is unavailable
Group:          System/Boot and Init
License:        GPLv2+
URL:            https://pagure.io/%{name}
Source0:        https://releases.pagure.org/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  python3-devel

# No signed shim binaries yet...
#Requires:       shim-signed
Requires:       grub2-efi
Requires:       parted
Requires:       dmsetup
Requires:       dosfstools
Requires:       hfsplus-tools

# These are the only arches Mageia provides grub2-efi...
ExclusiveArch:  %{ix86} x86_64 aarch64

%description
This is a "friendly fork" standalone copy of mkefiboot that is normally part of Lorax.

This project was made for the express purpose of supporting producing EFI boot capable
media on Linux distributions where the full Lorax software package (which requires
Anaconda, the Red Hat/Fedora installer) would not be available.


%prep
%autosetup -p1


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files py%{name}


%files -f %{pyproject_files}
%license COPYING
%doc README.md
%{_bindir}/%{name}



%changelog
* Mon Jul 07 2025 umeabot <umeabot> 31.8.0.1-9.mga10
+ Revision: 2248787
- Mageia 10 Mass Rebuild

* Wed Mar 19 2025 papoteur <papoteur> 31.8.0.1-8.mga10
+ Revision: 2166590
- rebuild for python 3.13

* Wed Mar 13 2024 papoteur <papoteur> 31.8.0.1-7.mga10
+ Revision: 2049803
- Rebuild

* Sat Mar 19 2022 umeabot <umeabot> 31.8.0.1-6.mga9
+ Revision: 1799322
- Mageia 9 Mass Rebuild

* Mon Feb 28 2022 tv <tv> 31.8.0.1-5.mga9
+ Revision: 1786770
- Rebuild for python-3.10

* Wed Apr 21 2021 daviddavid <daviddavid> 31.8.0.1-4.mga9
+ Revision: 1717710
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 31.8.0.1-3.mga8
+ Revision: 1536673
- Mageia 8 Mass Rebuild

* Mon Oct 21 2019 daviddavid <daviddavid> 31.8.0.1-2.mga8
+ Revision: 1455022
- rebuild for python3.8

* Mon Jul 08 2019 ngompa <ngompa> 31.8.0.1-1.mga8
+ Revision: 1419416
- imported package mkefiboot


* Sun Jul 07 2019 <ngompa13@gmail.com> - 31.8.0.1-1
- Initial packaging
